import { jsx } from "react/jsx-runtime";
import { TokenFRIN as TokenFRIN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFRIN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "FRIN", "data-name": "TokenFRIN", ...props, children: /* @__PURE__ */ jsx(TokenFRIN$1, { variant }) });
  }
);
TokenFRIN.displayName = "TokenFRIN";
Object.assign(TokenFRIN, { isGdsIcon: true });
export {
  TokenFRIN
};
